Bug 875625 - [abrt] rednotebook-1.5.0-2.fc17: zipfile.py:1024:_writecheck:LargeZipFile: Zipfile size would require ZIP64 extensions
Summary: [abrt] rednotebook-1.5.0-2.fc17: zipfile.py:1024:_writecheck:LargeZipFile: Zi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rednotebook
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:53c58c21906185dcd178c9dc246...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-12 08:43 UTC by Joost Ringoot
Modified: 2012-11-29 06:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-29 06:03:01 UTC


Attachments (Terms of Use)
File: executable (20 bytes, text/plain)
2012-11-12 08:43 UTC, Joost Ringoot
no flags Details
File: environ (1.64 KB, text/plain)
2012-11-12 08:43 UTC, Joost Ringoot
no flags Details
File: dso_list (33 bytes, text/plain)
2012-11-12 08:43 UTC, Joost Ringoot
no flags Details
File: smolt_data (3.00 KB, text/plain)
2012-11-12 08:43 UTC, Joost Ringoot
no flags Details
File: core_backtrace (531 bytes, text/plain)
2012-11-12 08:43 UTC, Joost Ringoot
no flags Details

Description Joost Ringoot 2012-11-12 08:43:38 UTC
Description of problem:
updaten rednotebook dropbox

Version-Release number of selected component:
rednotebook-1.5.0-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/rednotebook
kernel:         3.6.3-1.fc17.x86_64

backtrace:
:zipfile.py:1024:_writecheck:LargeZipFile: Zipfile size would require ZIP64 extensions
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rednotebook/gui/menu.py", line 216, in on_backup_activate
:    self.journal.archiver.backup()
:  File "/usr/lib/python2.7/site-packages/rednotebook/backup.py", line 90, in backup
:    write_archive(backup_file, archive_files, data_dir)
:  File "/usr/lib/python2.7/site-packages/rednotebook/backup.py", line 42, in write_archive
:    archive.write(file, os.path.join(arc_base_dir, file[len(base_dir):]))
:  File "/usr/lib64/python2.7/zipfile.py", line 1056, in write
:    self._writecheck(zinfo)
:  File "/usr/lib64/python2.7/zipfile.py", line 1024, in _writecheck
:    raise LargeZipFile("Zipfile size would require ZIP64 extensions")
:LargeZipFile: Zipfile size would require ZIP64 extensions
:
:Local variables in innermost frame:
:self: <zipfile.ZipFile instance at 0x2f97758>
:zinfo: <zipfile.ZipInfo object at 0xa91b438>

Comment 1 Joost Ringoot 2012-11-12 08:43:42 UTC
Created attachment 643312 [details]
File: executable

Comment 2 Joost Ringoot 2012-11-12 08:43:44 UTC
Created attachment 643313 [details]
File: environ

Comment 3 Joost Ringoot 2012-11-12 08:43:46 UTC
Created attachment 643314 [details]
File: dso_list

Comment 4 Joost Ringoot 2012-11-12 08:43:47 UTC
Created attachment 643315 [details]
File: smolt_data

Comment 5 Joost Ringoot 2012-11-12 08:43:49 UTC
Created attachment 643316 [details]
File: core_backtrace

Comment 6 Fedora Update System 2012-11-15 20:02:00 UTC
rednotebook-1.6.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rednotebook-1.6.1-1.fc18

Comment 7 Fedora Update System 2012-11-15 20:02:32 UTC
rednotebook-1.6.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rednotebook-1.6.1-1.fc16

Comment 8 Fedora Update System 2012-11-15 20:04:26 UTC
rednotebook-1.6.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rednotebook-1.6.1-1.fc17

Comment 9 Joost Ringoot 2012-11-15 20:20:05 UTC
I use the same rednotebook on 2 computers via dropbox. I was unable to repeat this issue. Possibly fixed due to other component update? Maybe the issue was due to a bug in the dropbox client/server system? which is not entirely opensource and was also updated? 
Make it low priority.
I'll try to give more info in case it would repeat.

Comment 10 Joost Ringoot 2012-11-15 20:24:35 UTC
Just forget my previous message: the updated package as anounced in Comment 7 has most likely fixed the issue, because it is not repeatable.

Comment 11 Fedora Update System 2012-11-16 07:35:25 UTC
Package rednotebook-1.6.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rednotebook-1.6.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18319/rednotebook-1.6.1-1.fc16
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-11-19 18:59:22 UTC
rednotebook-1.6.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rednotebook-1.6.2-1.fc17

Comment 13 Fedora Update System 2012-11-19 18:59:40 UTC
rednotebook-1.6.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rednotebook-1.6.2-1.fc16

Comment 14 Fedora Update System 2012-11-19 18:59:56 UTC
rednotebook-1.6.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rednotebook-1.6.2-1.fc18

Comment 15 Fedora Update System 2012-11-29 06:03:03 UTC
rednotebook-1.6.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-11-29 06:05:11 UTC
rednotebook-1.6.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-11-29 06:48:25 UTC
rednotebook-1.6.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.